Bug 200904 - CVE-2006-3746 GnuPG Parse_Comment Remote Buffer Overflow
CVE-2006-3746 GnuPG Parse_Comment Remote Buffer Overflow
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gnupg (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Mike McLean
impact=moderate,source=rt,reported=20...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-01 10:36 EDT by Marcel Holtmann
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.4.5-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-02 17:49:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Marcel Holtmann 2006-08-01 10:36:28 EDT
Text from Security Focus:

http://www.securityfocus.com/bid/19110/

GnuPG is prone to a remote buffer-overflow vulnerability because it fails to
properly bounds-check user-supplied input before copying it to an insufficiently
sized memory buffer.

This issue may allow remote attackers to execute arbitrary machine code in the
context of the affected application, but this has not been confirmed.

GnuPG version 1.4.4 is vulnerable to this issue; previous versions may also be
affected.

The following Perl command demonstrates this issue by crashing the affected
application:

perl -e 'print "\xfd\xff\xff\xff\xff\xfe"'| /var/gnupg/bin/gpg --no-armor

http://lists.immunitysec.com/pipermail/dailydave/2006-July/003354.html
Comment 1 Nalin Dahyabhai 2006-08-01 14:45:20 EDT
An update to 1.4.5 hould show up in Raw Hide tomorrow.  Packages are also pushed
to FC4/FC5 testing, and will probably be moved to final status tomorrow as well,
at which point we'll close this bug.

Note You need to log in before you can comment on or make changes to this bug.